/*
 *  UltimateIRCd - an Internet Relay Chat Daemon, include/version.h
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/authors/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: version.h,v 1.46 2003/01/27 13:06:29 shadowmaster Exp $
 *
 */


#ifndef __versioninclude
#define __versioninclude 1

/*
** UIRCd Protocol
*/

#define UltimateProtocol 2905

/*
** Kill links with protocol older than this - ShadowMaster
*/
#define KillProtocol 2900
#define RELEASE_STATUS	"ALPHA"

#define MAJOR_RELEASE "1"
#define MINOR_RELEASE "0"
#define REVISION "01"
#define RELEASE_NAME "Ultimate MOD"

/*
 Deliberate empty lines
*/

#define PATCH1  	\
			\
			\
			\
			".a30"

/*
 Deliberate empty lines
*/

#define PATCH2  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH3  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH4  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH5  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH6  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH7  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH8  	\
			\
			\
			\
			""

/*
 Deliberate empty lines
*/

#define PATCH9 		\
			\
			\
			\
			""


#define BASE_VERSION "FinalIRCd"

#define PATCHES PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9

void build_version (void);

#endif /* __versioninclude */
